Subject: Re: TESTING ROUTING CODE !!

From: Gregory Carter <[email-masked]>
Date: Thu, 16 Jul 2009 14:16:07 -0500

I am currently using KVM.

Works very well for creating virtual networks, and testing iptable and 
marking of packets for different routing code tests.

I use KVM because it keeps all of the machines seperate, and of course, 
some of my machines are BSD.

So if you have different code bases you want to try your modifications 
with, KVM is a good choice IMHO.

-Gregory Carter
-Applied Engineering Software Group
[email-masked]

On 07/16/2009 01:34 PM, Mulyadi Santosa wrote:
> On Fri, Jul 17, 2009 at 1:13 AM, Leena M.<[email-masked]>  wrote:
>> Any specific VM do you recommend , How about Xen ?
>>
>> Regards,
>> Leena
>
> Please don't top post...
>
> Since you talked about routing protocol, I think User Mode Linux would
> do just fine. It runs completely in user space and can be easily
> hooked with gdb.
>
>